ru.bitel.bgbilling.modules.megogo.common.bean

## Class MegogoTryAndBuy

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.megogo.common.bean.MegogoTryAndBuy

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class MegogoTryAndBuy
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PARAMS_COUNT_DAY` Кастомный тип, на будущее
    `static int` | `TYPE_CUSTOM` Кастомный тип, на будущее
    `static int` | `TYPE_FIRST_SERVICE` Первый заказ данной конкретной услуги
    `static int` | `TYPE_ONLY_FOR_NEW` Первая при подключении модуля

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MegogoTryAndBuy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getParams()`
    `int` | `getSid()`
    `int` | `getType()`
    `java.lang.String` | `getTypeTitle()`
    `boolean` | `isUsed()`
    `void` | `setParams(java.util.HashMap<java.lang.String,java.lang.String> params)`
    `void` | `setSid(int sid)`
    `void` | `setType(int type)`
    `void` | `setUsed(boolean used)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### TYPE_ONLY_FOR_NEW

          public static final int TYPE_ONLY_FOR_NEW

      Первая при подключении модуля
      See Also:
        Constant Field Values

    - #### TYPE_FIRST_SERVICE

          public static final int TYPE_FIRST_SERVICE

      Первый заказ данной конкретной услуги
      See Also:
        Constant Field Values

    - #### TYPE_CUSTOM

          public static final int TYPE_CUSTOM

      Кастомный тип, на будущее
      See Also:
        Constant Field Values

    - #### PARAMS_COUNT_DAY

          public static final java.lang.String PARAMS_COUNT_DAY

      Кастомный тип, на будущее
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MegogoTryAndBuy

          public MegogoTryAndBuy()

  - ### Method Detail

    - #### getSid

          public int getSid()

    - #### setSid

          public void setSid(int sid)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### isUsed

          public boolean isUsed()

    - #### setUsed

          public void setUsed(boolean used)

    - #### getParams

          public java.util.HashMap<java.lang.String,java.lang.String> getParams()

    - #### setParams

          public void setParams(java.util.HashMap<java.lang.String,java.lang.String> params)

    - #### getTypeTitle

          public java.lang.String getTypeTitle()